View Issue Details

IDProjectCategoryView StatusLast Update
0003980SymmetricDSBugpublic2019-06-25 14:06
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.10.3Fixed in Version3.10.3 
Summary0003980: Exception when dashboard refreshes node status panel
DescriptionException when dashboard refreshes node status panel

Error:
2019-05-28 08:41:39,572 ERROR [chaco-chprod] [AppUI] [background-refresher-2] startMillis must not be greater than endMillis StackTraceKey.init [IllegalArgumentException:3430705831]

java.lang.IllegalArgumentException: startMillis must not be greater than endMillis
     at org.apache.commons.lang3.Validate.isTrue(Validate.java:155)
     at org.apache.commons.lang3.time.DurationFormatUtils.formatPeriod(DurationFormatUtils.java:281)
     at org.apache.commons.lang3.time.DurationFormatUtils.formatPeriod(DurationFormatUtils.java:252)
     at com.jumpmind.symmetric.console.impl.bG.a(AbstractDashboardPanel.java:219)
     at com.jumpmind.symmetric.console.impl.bG.b(AbstractDashboardPanel.java:206)
     at com.jumpmind.symmetric.console.impl.bQ.d(NodeStatusPanel.java:75)
     at com.vaadin.ui.Grid$Column.generateRendererValue(Grid.java:1057)
     at com.vaadin.ui.Grid$Column.access$1100(Grid.java:846)
     at com.vaadin.ui.Grid$Column$1.generateData(Grid.java:877)
     at com.vaadin.data.provider.DataCommunicator.getDataObject(DataCommunicator.java:480)
     at com.vaadin.data.provider.DataCommunicator.pushData(DataCommunicator.java:460)
     at com.vaadin.data.provider.DataCommunicator.sendDataToClient(DataCommunicator.java:382)
     at com.vaadin.data.provider.DataCommunicator.beforeClientResponse(DataCommunicator.java:338)
     at com.vaadin.server.communication.UidlWriter.write(UidlWriter.java:126)
     at com.vaadin.server.communication.AtmospherePushConnection.push(AtmospherePushConnection.java:168)
     at com.vaadin.server.communication.AtmospherePushConnection.push(AtmospherePushConnection.java:146)
     at com.vaadin.ui.UI.push(UI.java:1703)
     at com.vaadin.server.VaadinSession.unlock(VaadinSession.java:1026)
     at com.vaadin.server.VaadinService.ensureAccessQueuePurged(VaadinService.java:2012)
     at com.vaadin.server.VaadinService.accessSession(VaadinService.java:1978)
     at com.vaadin.server.VaadinSession.access(VaadinSession.java:1417)
     at com.vaadin.ui.UI.access(UI.java:1568)
     at com.jumpmind.symmetric.console.ui.a.a(BackgroundRefresherService.java:108)
     at com.jumpmind.symmetric.console.ui.a$1.run(BackgroundRefresherService.java:82)
     at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
     at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
     at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)
     at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180)
     at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294)
     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
     at java.lang.Thread.run(Thread.java:748)
Steps To ReproduceSet the time on the database server to be in the future.
TagsNo tags attached.

Activities

pmarzullo

2019-05-29 15:25

developer   ~0001510

When calculating numbers for the update of the display, make sure that the numbers used satisfy the constraint imposed by the framework.

Issue History

Date Modified Username Field Change
2019-05-29 11:28 pmarzullo New Issue
2019-05-29 11:28 pmarzullo Status new => assigned
2019-05-29 11:28 pmarzullo Assigned To => pmarzullo
2019-05-29 15:25 pmarzullo Status assigned => resolved
2019-05-29 15:25 pmarzullo Resolution open => fixed
2019-05-29 15:25 pmarzullo Fixed in Version => 3.10.3
2019-05-29 15:25 pmarzullo Note Added: 0001510
2019-06-25 14:06 admin Status resolved => closed